%global pypi_name drf-spectacular
%global module_name drf_spectacular
%global commitId 7bfcfb16fe63556f0c6044a4fda4d41cca058051

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        0.25.1
Release:        1%{?dist}
Summary:        Sane and flexible OpenAPI 3 schema generation for Django REST framework

License:        BSD
URL:            https://github.com/tfranzel/drf-spectacular
Source0:        python-drf-spectacular-7bfcfb16fe63556f0c6044a4fda4d41cca058051.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
Sane and flexible OpenAPI 3.0 schema generation for Django REST framework.

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        Sane and flexible OpenAPI 3 schema generation for Django REST framework

Requires:       python%{python3_pkgversion}-django >= 2.2
Requires:       python%{python3_pkgversion}-djangorestframework >= 3.10.3
Requires:       python%{python3_pkgversion}-inflection >= 0.3.1
Requires:       python%{python3_pkgversion}-jsonschema >= 2.6.0
Requires:       python%{python3_pkgversion}-pyyaml >= 5.1
Requires:       python%{python3_pkgversion}-uritemplate >= 2.0.0

Obsoletes:      python3-%{pypi_name} < %{version}-%{release}
%if 0%{?rhel} == 8
Obsoletes:      python38-%{pypi_name} < %{version}-%{release}
%endif

%description -n python%{python3_pkgversion}-%{pypi_name}
Sane and flexible OpenAPI 3.0 schema generation for Django REST framework.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc CHANGELOG.rst README.rst
%license LICENSE
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{module_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Feb 28 2023 Satoe Imaishi <simaishi@redhat.com> - 0.25.1-1
- Update to 0.25.1

* Wed Feb 01 2023 Dimitri Savineau <dsavinea@redhat.com> 0.25.0-1
- Update to 0.25.0

* Fri Sep 23 2022 Satoe Imaishi <simaishi@redhat.com> - 0.23.1-1
- Update to 0.23.1

* Fri Aug 26 2022 Dimitri Savineau <dsavinea@redhat.com> 0.22.1-2
- Obsolete the old Python 3.8 package for smooth upgrade

* Wed Aug 24 2022 Dimitri Savineau <dsavinea@redhat.com> 0.22.1-1
- Initial release
